Просмотр исходного кода

Add more platform Travis tests

Scott Lahteine 5 лет назад
Родитель
Сommit
944920176f

+ 26 - 7
.travis.yml

@@ -9,18 +9,37 @@ notifications:
   email: false
 
 env:
-  - TEST_PLATFORM="megaatmega2560"
+  - TEST_PLATFORM="ARMED"
+  #- TEST_PLATFORM="at90usb1286_cdc"
+  #- TEST_PLATFORM="at90usb1286_dfu"
   - TEST_PLATFORM="DUE"
+  - TEST_PLATFORM="esp32"
+  - TEST_PLATFORM="fysetc_f6_13"
+  - TEST_PLATFORM="jgaurora_a5s_a1"
+  - TEST_PLATFORM="linux_native"
   - TEST_PLATFORM="LPC1768"
   - TEST_PLATFORM="LPC1769"
-  - TEST_PLATFORM="STM32F1"
-  - TEST_PLATFORM="teensy31"
-  - TEST_PLATFORM="teensy35"
-  - TEST_PLATFORM="linux_native"
-  - TEST_PLATFORM="esp32"
+  #- TEST_PLATFORM="malyanm200"
+  - TEST_PLATFORM="megaatmega1280"
+  - TEST_PLATFORM="megaatmega2560"
+  #- TEST_PLATFORM="mks_robin"
+  #- TEST_PLATFORM="mks_robin_lite"
+  #- TEST_PLATFORM="mks_robin_mini"
+  #- TEST_PLATFORM="mks_robin_nano"
+  - TEST_PLATFORM="rambo"
+  - TEST_PLATFORM="adafruit_grandcentral_m4"
+  - TEST_PLATFORM="sanguino_atmega1284p"
+  - TEST_PLATFORM="sanguino_atmega644p"
+  - TEST_PLATFORM="STM32F103R"
+  #- TEST_PLATFORM="BIGTREE_SKR_MINI"
+  #- TEST_PLATFORM="fysetc_STM32F1"
   - TEST_PLATFORM="alfawise_U20"
+  #- TEST_PLATFORM="STM32F4"
   - TEST_PLATFORM="black_stm32f407ve"
-  - TEST_PLATFORM="adafruit_grandcentral_m4"
+  - TEST_PLATFORM="BIGTREE_SKR_PRO"
+  #- TEST_PLATFORM="STM32F7"
+  - TEST_PLATFORM="teensy31"
+  - TEST_PLATFORM="teensy35"
 
 before_install:
   #

+ 3 - 0
buildroot/share/git/mftest

@@ -27,6 +27,9 @@ case $TESTENV in
     lpc9) TESTENV='LPC1769' ;;
     mega) TESTENV='megaatmega2560' ;;
      stm) TESTENV='STM32F1' ;;
+     f1)  TESTENV='STM32F1' ;;
+     f4)  TESTENV='STM32F4' ;;
+     f7)  TESTENV='STM32F7' ;;
   teensy) TESTENV='teensy31' ;;
      t31) TESTENV='teensy31' ;;
      t32) TESTENV='teensy31' ;;

+ 16 - 0
buildroot/share/tests/ARMED-tests

@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+#
+# Build tests for STM32F1 ARMED
+#
+
+# exit on first failure
+set -e
+
+#
+# Build with the default configurations
+#
+use_example_configs ArmEd
+exec_test $1 $2 "ArmEd Example Configuration"
+
+# clean up
+restore_configs

+ 17 - 0
buildroot/share/tests/BIGTREE_SKR_MINI-tests

@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+#
+# Build tests for STM32F1 Bigtreetech
+#
+
+# exit on first failure
+set -e
+
+#
+# Build with the default configurations
+#
+restore_configs
+opt_set MOTHERBOARD BOARD_BIGTREE_SKR_E3_DIP
+exec_test $1 $2 "Default Configuration"
+
+# clean up
+restore_configs

+ 18 - 0
buildroot/share/tests/BIGTREE_SKR_PRO-tests

@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+#
+# Build tests for STM32F4 BigTree_SKR_Pro
+#
+
+# exit on first failure
+set -e
+
+#
+# Build with the default configurations
+#
+restore_configs
+opt_set MOTHERBOARD BOARD_BIGTREE_SKR_PRO_V1_1
+opt_set SERIAL_PORT 1
+exec_test $1 $2 "Default Configuration"
+
+# clean up
+restore_configs

+ 4 - 1
buildroot/share/tests/LPC1768-tests

@@ -6,9 +6,12 @@
 # exit on first failure
 set -e
 
+#
+# Build with the default configurations
+#
 restore_configs
 opt_set MOTHERBOARD BOARD_RAMPS_14_RE_ARM_EFB
-exec_test $1 $2 "Build Re-ARM Default Configuration"
+exec_test $1 $2 "Default Configuration"
 
 restore_configs
 opt_set MOTHERBOARD BOARD_RAMPS_14_RE_ARM_EFB

+ 4 - 2
buildroot/share/tests/LPC1769-tests

@@ -6,9 +6,11 @@
 # exit on first failure
 set -e
 
-restore_configs
+#
+# Build with the default configurations
+#
 use_example_configs Azteeg/X5GT
-exec_test $1 $2 "Azteeg X5GT Example Config"
+exec_test $1 $2 "Azteeg X5GT Example Configuration"
 
 restore_configs
 opt_set MOTHERBOARD BOARD_SMOOTHIEBOARD

+ 3 - 0
buildroot/share/tests/STM32F1-tests

@@ -6,6 +6,9 @@
 # exit on first failure
 set -e
 
+#
+# Build with the default configurations
+#
 restore_configs
 opt_set MOTHERBOARD BOARD_STM32F1R
 opt_set EXTRUDERS 2

+ 16 - 0
buildroot/share/tests/STM32F4-tests

@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+#
+# Build tests for STM32F4 disco_f407vg
+#
+
+# exit on first failure
+set -e
+
+#
+# Build with the default configurations
+#
+use_example_configs STM32/STM32F4
+exec_test $1 $2 "STM32F4 Default Configuration"
+
+# clean up
+restore_configs

+ 18 - 0
buildroot/share/tests/STM32F7-tests

@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+#
+# Build tests for STM32F7
+#
+
+# exit on first failure
+set -e
+
+#
+# Build with the default configurations
+#
+restore_configs
+opt_set MOTHERBOARD BOARD_REMRAM_V1
+opt_set SERIAL_PORT 1
+exec_test $1 $2 "Default Configuration"
+
+# clean up
+restore_configs

Некоторые файлы не были показаны из-за большого количества измененных файлов